/*
* C_lib Copyright (C) 2021 Wael Karram.
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

/* This header defines a double node, for two-way linking. */
#ifndef DOUBLE_NODE_H
#define DOUBLE_NODE_H
typedef struct double_node {
	/* Previous node. */
	struct double_node *previous;
	/* Next node. */
	struct double_node *next;
	/* Data. */
	void *data;
} double_node_t;
#endif /* DOUBLE_NODE_H */
