/*
* C_lib Copyright (C) 2021 Wael Karram.
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

/* This header defines a node in a heap. */
#ifndef HEAP_NODE_H
#define HEAP_NODE_H
typedef struct heap_node {
	/* Parent node. */
	struct heap_node *parnet;
	/* Right node. */
	struct heap_node *right;
	/* Left node. */
	struct heap_node *left;
	/* Data. */
	void *data;
} heap_node_t;
#endif /* HEAP_NODE_H */
