/*
* C_lib Copyright (C) 2021 Wael Karram.
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

/* This header defines various helper functions to print arrays. */
#ifndef ARRAY_PRINT_H
#define ARRAY_PRINT_H
#include <stdio.h>

/* This function is used to print an array of integers into stdout. */
void print_integer_array(int *array, int length);

#endif //ARRAY_PRINT_H
