/*
* C_lib Copyright (C) 2021 Wael Karram.
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

/* This header defines a helper function to swap void pointers (aka, generic objects). */
#ifndef SWAP_VOID_H
#define SWAP_VOID_H
#include <string.h>

/* This function is used to swap void* objects. */
extern inline void swap_void_ptr(void *first, void *second, size_t size);

#endif //SWAP_VOID_H
