/*
* C_lib Copyright (C) 2021 Wael Karram.
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

/* This header defines a node in a binary tree. */
#ifndef TREE_NODE_H
#define TREE_NODE_H
typedef struct tree_node {
	/* Right node. */
	struct tree_node *right;
	/* Left node. */
	struct tree_node *left;
	/* Data. */
	void *data;
} tree_node_t;
#endif /* TREE_NODE_H */
