/*
* C_lib Copyright (C) 2021 Wael Karram.
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, version 3 of the License.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

/* This header defines a struct for storing function timing information. */
#ifndef TIME_FUNCTION_H
#define TIME_FUNCTION_H
#include <time.h>

/* Struct used to store the results. */
typedef struct function_run_time {
	/* Function name. */
	char *name;
	/* Length of run time. */
	clock_t time;
} function_run_time;
#endif /* TIME_FUNCTION_H */
